#!/usr/bin/env bash
# Checks if a package is private or public on gitlab.
# Usage:
#     $ ./check_private.sh bob.extension bob.db.base ...

set -e

# some dummy variables so functions.sh works
BOB_PACKAGE_VERSION="dummy"
CI_PROJECT_URL="dummy"
CI_PROJECT_DIR="dummy"
CI_PROJECT_PATH="dummy"
CI_PROJECT_NAME="dummy"
CI_COMMIT_REF_NAME="dummy"
PYPIUSER="dummy"
PYPIPASS="dummy"
DOCUSER="dummy"
DOCPASS="dummy"
CONDA_ROOT="dummy"

source $(dirname ${0})/../gitlab/functions.sh > /dev/null


for pkg in "$@"; do
    echo -n "$pkg "
    CI_PROJECT_URL="https://gitlab.idiap.ch/bob/$pkg/"
    visibility
done
